Subject: Re: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.

From: Dmitry Gutov <[email-masked]>
Date: Wed, 22 May 2024 02:27:08 +0300

Hi Eli,

On 20/05/2024 14:11, Eli Zaretskii wrote:
>> Every editor-ide has its own approach for this. But emacs has it own
>> flavor and the ts-* intention was to keep it as close as possible to the
>> status-quo; that's why I am reporting it here.
>>
>> There are many details missing in the c/c++-ts-mode compared to
>> c-mode... but I understand that some of them are WIP while others are
>> just too complex to port.
> I understand all that, but still: can you (or someone else) answer my
> question about the accepted practices of IDEs in this matter: do they
> highlight the namespace identifiers differently than other
> identifiers, or do they use the same highlighting?

Does the attached screenshot answer the question? It's from VS Code.